// SIPOutboundBroadcastDlg.h : header file
//

#if !defined(AFX_SIPOUTBOUNDBROADCASTDLG_H__16BB6E61_2643_49CA_A169_033375383F11__INCLUDED_)
#define AFX_SIPOUTBOUNDBROADCASTDLG_H__16BB6E61_2643_49CA_A169_033375383F11__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSIPOutboundBroadcastDlg dialog
class CSIPOutboundBCEnv;


class CSIPOutboundBroadcastDlg : public CDialog
{
// Construction
public:
	CSIPOutboundBroadcastDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSIPOutboundBroadcastDlg)
	enum { IDD = IDD_SIPOUTBOUNDBROADCAST_DIALOG };
	CButton	m_btnStop;
	CButton	m_btnStart;
	CEdit	m_AddrList;
	CEdit	m_SoundFN;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSIPOutboundBroadcastDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	CSIPOutboundBCEnv* m_pSIPBCEnv;

	// Generated message map functions
	//{{AFX_MSG(CSIPOutboundBroadcastDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonStart();
	afx_msg void OnButtonStop();
	afx_msg void OnButtonBrowse();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SIPOUTBOUNDBROADCASTDLG_H__16BB6E61_2643_49CA_A169_033375383F11__INCLUDED_)
